<?php
@session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
 
</head>


<BODY onLoad="parametros.cliente.focus();">
<?php
 
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";
$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";
	$cliente="";
   							  
if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"]; 
	$cliente=$_REQUEST["cliente"];   		
}


?>
<form name="parametros" method="post" action="" >
  <div id="informes" class="container text-center" style="width:90%;">
    <div class="panel panel-primary">
      <div class="panel-heading" align="left">  REIMPRIME VENTA</div>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td width="107" height="0">Cliente</td>
                      <td width="165" height="0"><div align="left">
                        <input name="cliente" type="text"   id="cliente" value="<?php echo $cliente; ?>" size="10" 
                        class="form-control" data-placement="right" title="Digite no Cliente" style="width: 150px" 
								onKeyPress="if(event.keyCode==13){titulo.id();} if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'">
                      </div></td>
                      <td width="79" align="left" valign="middle">Producto</td>
                      <td width="308" align="left" valign="middle"><input name="id" type="text"   id="id" value="<?php echo $id; ?>" size="10" 
                        class="form-control" data-placement="right" title="Digite no factura" style="width: 150px" 
								onKeyPress="if(event.keyCode==13){titulo.nombre();} if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td width="152" align="left" valign="middle"><input name="buscar" type="submit" id="buscar" value="Buscar Venta" title="Clic para Buscar"  class="btn btn-primary"></td>
                      <td width="152" align="left" valign="middle"><input name='ccliente' type='button'  id='ccliente' value='Buscar Cliente'   class="btn btn-primary"  
						  onClick="javascript:window.open('frm_cliente_buscar.php?preventa=<?php echo $id; ?>&Obuscar=0','Reportekardex','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" ></td>
                      <td width="372" align="left" valign="middle"><input name="buscar" type="submit" id="buscar" value="Buscar Producto" title="Clic para Buscar"  class="btn btn-primary" onClick="javascript:window.open('frm_producto_buscar.php?Obuscar=0','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');">                        </td>
                    </tr>
                    <tr> 
                      <td height="1" colspan="7">
                      <div align="left">
                      <?php
					  				   
						   if($id<>"" or $cliente<>"")
					       {
							echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr ><td colspan='12' class='btn-primary' align='center'>DETALLE DE VENTA</td></tr>";
							echo "<tr>";
							echo "<td class='btn-primary' width='5%'></td>";
							echo "<td class='btn-primary'>Producto</td>";
							echo "<td class='btn-primary'>Nombre</td>";
							echo "<td class='btn-primary'>Cantidad</td>";
							echo "<td class='btn-primary'>Precio</td>";
							echo "<td class='btn-primary'>Total</td>";		
							echo "<td class='btn-primary'>Fecha</td>";							
							echo "<td class='btn-primary'>Hora</td>";
							echo "<td class='btn-primary'>No Factura</td>";		
							echo "<td class='btn-primary'>Tipo Pago</td>";	
							echo "<td class='btn-primary'>Cliente</td>";							
							echo "<td class='btn-primary'></td>";							
							echo "</tr>";
					   
					   		if($cliente<>""){$sqlcliente="and cliente='".$cliente."'";}else  {$sqlcliente="";}
							if($id<>""){$sqlfactura="and producto='".$id."'";}else  {$sqlfactura="";}
							
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,
							 								estado,fecha ,hora,factura,cliente ,tipopago,empresa
							 						from venta
													 where id>0
													 $sqlcliente
													 $sqlfactura
													 order by fecha desc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									$cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$estado=$datos[6];
									$fecha=$datos[7];
									$hora=$datos[8];
									$factura=$datos[9];
									$cliente=$datos[10];
									$tipopago=$datos[11];	
									$empresa=$datos[12];	
								 	$npago="";
									 if($tipopago=='EF')
									   {$npago="Efectivo";
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
									   }
									
									$sql_datosre=mysqli_query($conexion,"SELECT iva from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
									 
									if($cliente>0)
									  {	$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
										while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
										if($contar>=1)
										{
											$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
											while($datosrs= mysqli_fetch_row($sql_contar)){ $nombrec=$datosrs[0];}
										}
									  }	
									 else {$nombrec="";} 
									
									
									
									if($c%2==0){$color="#EAEAEA";}
								    else {$color="#BFBFBF";}															
									$paqueteunidad="";
									 $sql_datospro =mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro)){ $nproducto=$datosrs[0]; $descripcion=$datosrs[1]; $paqueteunidad=$datosrs[2];}
									  
									 $totalitem=$cantidad*$precio;
									 if($iva>0){$totaliva=($totalitem*$iva)/100;}
									 else {$totaliva=0;}
									 
									 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
									 
									 echo "<tr bgcolor=$color class='textoprefac'>
											  <td width='5%' bgcolor=$colorpu>";
											   if($estado=='F')
											    {
											    echo "<div align='center'><input type='checkbox' name='ch$c'>
												<input name='idi$c' id='idi$c' type='hidden' class='texto'  value='$idi' size='5' readonly>
												<input name='productoa$c' id='productoa$c' type='hidden' class='texto'  value='$producto' size='5' readonly>
												<input name='cantp$c' id='cantp$c' type='hidden' class='texto'  value='$cantidad' size='5' readonly>";
												}
												else { echo "Anulado";}
											  
											   if($paqueteunidad=='PU')
											   { echo "<select name='paqueteunidad$c' class='texto' id='paqueteunidad$c' onChange='Opaquete.value=1;submit();'>";
												  if($paqueteunidad==""){echo "<option value='' selected></option>";}
												  else {echo "<option value='' ></option>";}
												  if($paqueteunidad=="P"){echo "<option value='P$producto' selected>P</option>";}
												  else {echo "<option value='P$producto' >P</option>";}
												  if($paqueteunidad=="U"){echo "<option value='U$producto' selected>U</option>";}
												  else {echo "<option value='U$producto' >U</option>";}													
												echo "</select>";
											
												}  
												  echo "<input name='cambia' type='hidden' id='cambia' value='-' 
												  onClick='oquita.value=1;Obuscar.value=1;' class='botones' title='Clic para eliminar el item ingresado'>";
												echo "</div>
											   </td>																					
											  <td>$producto</td>
											  <td>$nproducto</td>
											  <td><div align='right'>$cantidad</div></td>
											  <td><div align='right'>".number_format($precio,0)."</div></td>											  
											  <td><div align='right'>".number_format($totalitem,0)."</div></td>		
											  <td><div align='right'>$fecha</div></td>		
											  <td><div align='right'>$hora</div></td>
											  <td><div align='right'>$factura</div></td>	
											  <td><div align='right'>$npago</div></td>
											  <td><div align='right'>$nombrec</div></td>
											  <td>";
											  ?> 
                                              <img src="../imagenes/imprimir.png" width="50" height="50" alt="Clic para Imprimir"
                                              onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>&empresa=<?php echo $empresa;?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=500');"/>
											  <?php
                                              echo "</td>											 										 
											</tr>";
											$c=$c+1;
											if($estado<>'I')
											  {$sumag=$sumag+$totalitem;
											   $sumaiva=$sumaiva+$totaliva;
											  }
											
											if($estado=='I')
											    {$sumaI=$sumaI+$totalitem;}
											
											
								  }	//04
								  $neto=$sumag+$sumaiva;
								 
								 echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
						
                             				
						   
						   }
						   ?> 
                      </div></td>
                    </tr>
                    <tr> 
                      <td colspan="7"><div align="center">
                        <input name="oguardar" type="hidden" id="oguardar">
                          <input name="oculto" type="hidden" id="oculto">
                          <br>
                        </div></td>
                    </tr>
                  </table>
                    
</TD>
                </TR>
            </TBODY>
            </TABLE>
 </div>
</div>  
 
  
</form>
<div id="resultado"></div>
</body>
</html>
